Xml import
Validate XML structure without importing
POST
/{locale}/shop/xml-import/validateAuthorization
apiKey apiSecret X-API-Key<token>
Partner API key from the Partners Portal. Always sent together with X-API-Secret.
In: header
X-API-Secret<token>
Partner API secret. Always sent together with X-API-Key.
In: header
Path Parameters
locale*string
Value in
- "lt"
- "en"
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/lt/shop/xml-import/validate" \ -H "Content-Type: application/json" \ -d '{}'{ "success": true, "data": { "is_valid": true, "product_count": 0, "structure": {}, "errors": [ "string" ] }}